oracle.kv.stats

## Interface OperationMetrics

-     public interface OperationMetrics

  Aggregates the metrics associated with a KVS operation.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getAverageLatencyMs()` Returns the average request latency in milliseconds.
    `int` | `getMaxLatencyMs()` Returns the maximum request latency in milliseconds.
    `int` | `getMinLatencyMs()` Returns the minimum request latency in milliseconds.
    `String` | `getOperationName()` Returns the name of the KVS operation associated with the metrics.
    `int` | `getTotalOps()` Returns the number of operations that were executed.
    `int` | `getTotalRequests()` Returns the number of requests that were executed.

- - ### Method Detail

    - #### getOperationName

          String getOperationName()

      Returns the name of the KVS operation associated with the metrics.

    - #### getTotalOps

          int getTotalOps()

      Returns the number of operations that were executed.

      For requests (API method calls) that involve a single operation (get, put, etc.), one operation is counted per request. For requests that involve multiple operations (multiGet, multiDelete, execute), all individual operations are counted.

    - #### getTotalRequests

          int getTotalRequests()

      Returns the number of requests that were executed.

      Only one request per API method call is counted, whether the request involves a single operation (get, put, etc.) or multiple operations (multiGet, multiDelete, execute). For requests that involve a single operation, this method returns the same value as `getTotalOps()`.

    - #### getMinLatencyMs

          int getMinLatencyMs()

      Returns the minimum request latency in milliseconds.

    - #### getMaxLatencyMs

          int getMaxLatencyMs()

      Returns the maximum request latency in milliseconds.

    - #### getAverageLatencyMs

          float getAverageLatencyMs()

      Returns the average request latency in milliseconds.

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.